public class School
{
    private Student[] sessel;
    private int       anzahl;

    public School()
    {
        sessel = new Student[4];
        anzahl = 0;
    }

    public Student[] getSessel()
    {
        return sessel;
    }

    public int getAnzahl()
    {
        return anzahl;
    }

    public void setAnzahl(int anzahl)
    {
        this.anzahl = anzahl;
    }

    public void aufnehmen(Student wen)
    {
        if (wen != null)
        {
            if (anzahl < sessel.length)
            {
                sessel[anzahl] = wen;
                anzahl++;
            }
            else
            {
                System.out.println("Fehler: kein Platz mehr!");
            }
        }
        else
        {
            System.out.println("Fehler: kein Student!");
        }
    }

    public double avgAlter()
    {
        int summe;

        if (anzahl > 0)
        {
            summe = 0;
            for (int i = 0; i < anzahl; i++)
            {
                if (sessel[i] != null)
                {
                    summe = summe + sessel[i].getAlter();
                }
            }
            return (double)summe / anzahl;
        }
        else
        {
            return -999;
        }
    }

    public Student search(String name)
    {
        // fkt nicht!!!
        // "Max" == "Max"
        return null;
    }

    public Student maxAlter()
    {
        int max;
        Student s;

        max = -999;
        s = null;
        for (int i=0; i<anzahl; i++)
        {
            if (sessel[i] != null)
            {
                if (sessel[i].getAlter() > max)
                {
                    max = sessel[i].getAlter();
                    s = sessel[i];
                }
            }
        }
        return s;
    }

    public void einfugen(int pos, Student wer)
    {
        if (wer != null)
        {
            if (anzahl < sessel.length)
            {
                if ((pos >= 0) && (pos <= anzahl))
                {
                    for (int i = anzahl - 1; i >= pos; i--)
                    {
                        sessel[i + 1] = sessel[i];
                    }
                    sessel[pos] = wer;
                    anzahl++;
                } else
                {
                    System.out.println("Fehler: ungültige Position!");
                }
            }
            else
            {
                System.out.println("Fehler: kein Platz!");
            }
        }
        else
        {
            System.out.println("Fehler: kein Student!");
        }
    }
    public void loschen(int pos)
    {
        //... todo ....
    }

    public void sortSelectionAlter()
    {

    }

    public void sortSelectionName()
    {

    }


    public void sortBubbleAlter()
    {
        Student h;
        boolean sorted;
        int j;

        j = 0;
        sorted = false;
        while(sorted == false)
        {
            sorted = true;
            for (int i = 0; i < anzahl-1-j; i++)
            {
                if (sessel[i].getAlter() > sessel[i + 1].getAlter())
                {
                    h = sessel[i + 1];
                    sessel[i + 1] = sessel[i];
                    sessel[i] = h;
                    sorted = false;
                }
            }
            j++;
        }
    }

    public void sortBubbleName()
    {
        Student h;
        boolean sorted;
        int j;

        j = 0;
        sorted = false;
        while(sorted == false)
        {
            sorted = true;
            for (int i = 0; i < anzahl-1-j; i++)
            {
                if (sessel[i].getName().compareTo(sessel[i + 1].getName()) > 0)
                {
                    h = sessel[i + 1];
                    sessel[i + 1] = sessel[i];
                    sessel[i] = h;
                    sorted = false;
                }
            }
            j++;
        }
    }


    public String toString()
    {
        String erg;

        erg = "";
        for (int i=0; i<anzahl; i++)
        {
            erg = erg + sessel[i].toString() + "\n";
        }
        return erg;
    }
}
